Bug 970725 - [abrt] mysql-workbench-5.2.47-2.fc18: main_arena: Process /usr/libexec/mysql-workbench-bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] mysql-workbench-5.2.47-2.fc18: main_arena: Process /usr/libexec/mysql-...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql-workbench   
(Show other bugs)
Version: 18
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f2341b4b340e4f7daa7a3f9be13...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-04 17:27 UTC by felix
Modified: 2014-02-05 21:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 21:40:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (143.66 KB, text/plain)
2013-06-04 17:27 UTC, felix
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-04 17:27 UTC, felix
no flags Details
File: core_backtrace (4.42 KB, text/plain)
2013-06-04 17:27 UTC, felix
no flags Details
File: dso_list (19.24 KB, text/plain)
2013-06-04 17:27 UTC, felix
no flags Details
File: environ (2.26 KB, text/plain)
2013-06-04 17:28 UTC, felix
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-04 17:28 UTC, felix
no flags Details
File: maps (91.50 KB, text/plain)
2013-06-04 17:28 UTC, felix
no flags Details
File: open_fds (1.64 KB, text/plain)
2013-06-04 17:28 UTC, felix
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-06-04 17:28 UTC, felix
no flags Details
File: var_log_messages (1000 bytes, text/plain)
2013-06-04 17:28 UTC, felix
no flags Details

Description felix 2013-06-04 17:27:46 UTC
Description of problem:
solo se necesita iniciar el programa y en ocasiones se sale solo a los pocos segundos de comenzar a correr sin ninguna accion del usuario aparente...

hacer click rapidamente en algun sitio del programa en ocasiones evita su cierre

Version-Release number of selected component:
mysql-workbench-5.2.47-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/mysql-workbench-bin
crash_function: main_arena
executable:     /usr/libexec/mysql-workbench-bin
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: (mysql-workbench-bin:3019): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 main_arena at /lib64/libc.so.6
 #1 get_app_option at workbench/wb_context.cpp:184
 #2 operator()<grt::ValueRef, grt::ValueRef (*)(const std::basic_string<char>&, wb::WBContext*), boost::_bi::list1<std::basic_string<char>&> > at /usr/include/boost/bind/bind.hpp:303
 #3 operator()<std::basic_string<char> > at /usr/include/boost/bind/bind_template.hpp:32
 #4 boost::detail::function::function_obj_invoker1<boost::_bi::bind_t<grt::ValueRef, grt::ValueRef (*)(std::string const&, wb::WBContext*), boost::_bi::list2<boost::arg<1>, boost::_bi::value<wb::WBContext*> > >, grt::ValueRef, std::string>::invoke at /usr/include/boost/function/function_template.hpp:132
 #5 boost::function1<grt::ValueRef, std::string>::operator() at /usr/include/boost/function/function_template.hpp:760
 #6 bec::GRTManager::get_app_option at grt/grt_manager.cpp:875
 #7 Mysql_sql_parser_fe::Mysql_sql_parser_fe at src/mysql_sql_parser_fe.cpp:340
 #8 Mysql_sql_syntax_check::check_sql_statement(char const*, boost::function<Sql_parser_base::Parse_result (mysql_parser::SqlAstNode const*)>, Sql_syntax_check::ObjectType) at src/mysql_sql_syntax_check.cpp:168
 #9 Mysql_sql_syntax_check::check_sql at src/mysql_sql_syntax_check.cpp:125

Comment 1 felix 2013-06-04 17:27:51 UTC
Created attachment 756892 [details]
File: backtrace

Comment 2 felix 2013-06-04 17:27:53 UTC
Created attachment 756893 [details]
File: cgroup

Comment 3 felix 2013-06-04 17:27:55 UTC
Created attachment 756894 [details]
File: core_backtrace

Comment 4 felix 2013-06-04 17:27:59 UTC
Created attachment 756895 [details]
File: dso_list

Comment 5 felix 2013-06-04 17:28:02 UTC
Created attachment 756896 [details]
File: environ

Comment 6 felix 2013-06-04 17:28:05 UTC
Created attachment 756897 [details]
File: limits

Comment 7 felix 2013-06-04 17:28:08 UTC
Created attachment 756898 [details]
File: maps

Comment 8 felix 2013-06-04 17:28:11 UTC
Created attachment 756899 [details]
File: open_fds

Comment 9 felix 2013-06-04 17:28:14 UTC
Created attachment 756900 [details]
File: proc_pid_status

Comment 10 felix 2013-06-04 17:28:19 UTC
Created attachment 756901 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-12-21 13:51:40 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2014-02-05 21:40:18 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.